Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mayar.id/llms.txt

Use this file to discover all available pages before exploring further.

curl --request GET 'https://api.mayar.id/hl/v1/invoice/f774034d-d9cc-43a0-97d8-a2520c127f03' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here' \
--data ''
{
    "statusCode": 200,
    "messages": "success",
    "data": {
        "id": "f774034d-d9cc-43a0-97d8-a2520c127f03",
        "amount": 110000,
        "status": "unpaid",
        "link": "ibzfrf4880",
        "expiredAt": 1764582069401,
        "transactions": [
            {
                "id": "23fa41c5-c6ed-45d4-8302-5fac4a165dfa"
            }
        ],
        "customerId": "ae57ce73-89a2-46a7-84d7-93a616ef220e",
        "customer": {
            "id": "ae57ce73-89a2-46a7-84d7-93a616ef220e",
            "email": "azumiikecee@gmail.com",
            "mobile": "08996136751",
            "name": "Azumii"
        },
        "transactionId": "23fa41c5-c6ed-45d4-8302-5fac4a165dfa",
        "paymentUrl": "https://andiak.myr.id/invoices/ibzfrf4880",
        "paymentLinkId": "f774034d-d9cc-43a0-97d8-a2520c127f03"
    }
}
Endpoint:
https://api.mayar.id/hl/v1/invoice/{id}

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Path Parameters

id
string<uuid>
required
A unique identifier obtained when creating an invoice. If accessed through the dashboard, it can be found at the URL on the invoice details page.Example:f774034d-d9cc-43a0-97d8-a2520c127f03

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code form API.
messages
string
Status message that describes the status code.
data
array of object
List of invoices displayed.

data Structure (Array Of Object)

id
string<uuid>
Unique invoice ID.
amount
integer
Invoice price or nominal value.
status
string
Product status.
Product slug/short URL.
type
string
Product type.
expiredAt
integer
Invoice expiration time in timestamp form (epoch millis).
transactions
array of object
List of invoice related transactions.
customerId
string<uuid>
Unique customer ID.
customer
array of object
Details of the customer who paid the invoice.
transactionId
string<uuid>
The primary transaction ID for this invoice.
paymentUrl
string
URL for invoice payment page.
Unique ID of payment link (usually the same as invoice ID).

transactions Structure (Array Of Object)

id
string <uuid>
Unique transaction ID.

customer Structure (Array Of Object)

id
string <uuid>
Unique customer ID.
email
string
Customer’s email address.
mobile
string
Customer’s mobile phone number.
name
string
Customer’s name.